Subject: [ipfix] AD review for: draft-ietf-ipfix-as-06.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Fri, 17 Mar 2006 18:33:48 +0100

Sorry for the long delay.

Overall question:

  Is this a document to describe realistic applicability of IPFIX,

  or

  Is it more of a marketing or promitional document to try and
  push itinto all sorts of existing systems?

This is the first time I read this document, and I did find myself
wondering several times if I was reading promotional material to
convince me of all sorts of places where I could go use this.
In many scenarios it would mean extending the Information Model,
so it is not as if it would be a no-effort activity.

As an AD I woner if the other groups have all looked at the
scenarios that would touch or interact on their turf so to speak.
Like has WGs like IPPM, AAA, IDMEF, RMONMIB, RTP etc looked at this?
It seems there might be quite a set of questions from there.

And then there is the question if operators really want IPFIX to
be interacting/integrating with all these other areas. Maybe they
do. Have you (WG) proof of that or expressions of support from
operators?

So I am not yet how to move ahead with this one.
It is targeted for Informational, so we have some leverage.
But I'd like to have some answers on the above first.

Meanwhile, below are some nits to look at:

- IPv4 sample addresses should be from the range 192.0.2.0/24 as
  per RFC3330. So you better update the addresses on page 6.

- the last sentence on page 7 spaking about PSAMP seems
  a bit out of place in the middle of a discussion of
  using IPFIX for IDS.

- citation/reference issues
  those with a - in the middle might be OK, my tool does not (yet)
  recognize linebreak at such points.

  !! Missing citation for Informative reference:
  P021 L046:     [DuGr00]      Nick Duffield, Matthias Grossglauser, "Trajectory

  !! Missing citation for Informative reference:
  P021 L051:     [GrDM98]      Ian D. Graham, Stephen F. Donnelly, Stele Martin,

  !! Missing Reference for citation: [PSAMP-FM]
  P018 L012:     requirements in [PSAMP-FM] that directly affect the export

  !! Missing Reference for citation: [PSAMP-PROTOCOL]
  P018 L013:     protocol. In [PSAMP-PROTOCOL] the requirements have been

  !! Missing citation for Informative reference:
  P022 L012:     [PSAMP-FW]    Nick Duffield (Ed.), "A Framework for Packet

  !! Missing citation for Informative reference:
  P022 L051:     [RFC3577]     S. Waldbusser, R. Cole, C. Kalbfleisch,

Bert

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: "Tanja Zseby" <[email-masked]>
Date: Sun, 19 Mar 2006 18:33:17 +0100

Hi Bert,

actually I am a bit surprised about your first comment. In the
applicability statement we want to show how IPFIX can be used for the
target applications mentioned in the requirement document and what are
the relations to other frameworks. Isnt this the role of an
applicability statement? We have critical statements in the draft and at
nearly each IPFIX meeting I asked for further input for the section on
IPFIX limitations (I think at least some RMON and IPPM people attended
IPFIX meetings). 
Personally I think IPFIX offers a lot of opportunites. But comming from
a research institute I strongly dissociate myself from promoting any
product or solution without critical technical assessment. I would be
happy to discuss further opportunities and limitations of IPFIX and to
include these in the AS document. So comments from the other groups are
highly welcome.

Kind Regards,
Tanja 

> -----Original Message-----
> From: majordomo listserver 
> [mailto:[email-masked]] On Behalf Of Wijnen, Bert (Bert)
> Sent: Friday, March 17, 2006 6:34 PM
> To: 'Ipfix Wg' (E-mail) (E-mail)
> Cc: Dan Romascanu (E-mail); David Kessens (E-mail)
> Subject: [ipfix] AD review for: draft-ietf-ipfix-as-06.txt
> 
> This is the first time I read this document, and I did find 
> myself wondering several times if I was reading promotional 
> material to convince me of all sorts of places where I could 
> go use this.
> In many scenarios it would mean extending the Information 
> Model, so it is not as if it would be a no-effort activity.
> 
> And then there is the question if operators really want IPFIX 
> to be interacting/integrating with all these other areas. 
> Maybe they do. Have you (WG) proof of that or expressions of 
> support from operators?
>

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Sun, 19 Mar 2006 20:01:04 +0100

Tanja,

I may have to go back to read RFC2026 as to what an AS is meant to do.
It starts in sect 3.2 in 2026.

I guess you could take your viewpoint.

I may have overreacted, I tend to look for a statement that explains
how to pragmatically use it in current environment, not describing 
things like "if you change aaa in protocol bbb, then ipfix can also
play an important rile in environment zzz".
Such a story in my view would ne more of a "overview of possible uses of IPfix"
as opposed to an AS for IPfix.

Hope this helps to explain how I was looking at it.

Bert

> From: Tanja Zseby [mailto:[email-masked]]
> Sent: Sunday, March 19, 2006 11:33
> To: Wijnen, Bert (Bert); 'Ipfix Wg' (E-mail) (E-mail)
> Subject: RE: [ipfix] AD review for: draft-ietf-ipfix-as-06.txt
> 
> 
> Hi Bert,
>

---

From: "Tanja Zseby" <[email-masked]>
Date: Mon, 20 Mar 2006 18:45:28 +0100

Hi Bert,

o.k. I see. As far as I understand RFC2026 an AS should also look at how
different technical specifictaions may be combined. But you are probably
right that the draft contains more "exotic" examples than usual. I will
discuss this with Nevil and the group. Trying to get some feedback from
chairs of the mentioned groups is a good idea anyway.

Kind Regards,
Tanja

> From: Wijnen, Bert (Bert) [mailto:[email-masked]] 
> Sent: Sunday, March 19, 2006 8:01 PM
> To: Tanja Zseby; 'Ipfix Wg' (E-mail) (E-mail)
> I may have overreacted, I tend to look for a statement that 
> explains how to pragmatically use it in current environment, 
> not describing things like "if you change aaa in protocol 
> bbb, then ipfix can also play an important rile in environment zzz".
> > applicability statement? We have critical statements in the 
> draft and 
> > at nearly each IPFIX meeting I asked for further input for 
> the section 
> > on IPFIX limitations (I think at least some RMON and IPPM people 
> > attended IPFIX meetings).
> > Personally I think IPFIX offers a lot of opportunites. But comming 
> > from a research institute I strongly dissociate myself from 
> promoting 
> > any product or solution without critical technical 
> assessment. I would 
> > be happy to discuss further opportunities and limitations 
> of IPFIX and 
> > to include these in the AS document. So comments from the 
> other groups 
> > are highly welcome.
> > 
> > Kind Regards,
> > Tanja
> > 
> Model, so 
> > > it is not as if it would be a no-effort activity.
> > > 
> > > And then there is the question if operators really want 
> IPFIX to be 
> > > interacting/integrating with all these other areas.
> > > Maybe they do. Have you (WG) proof of that or expressions 
> of support 
> > > from operators?
> > >